<?php
#==============================================================================================#
#                                   Name  :  Imperial CHAT                                     #
#                               Made by  :  MaZaFaKa (___хакер___)                             #
#                                  MODED :  vipsds  (   BOT  )                                 #
#                                  ICQ  :  350502220 (vipsds)                                  #
#                                E-mai :  vipsds@wapnn.org                                     #
# По всем вопросам и дополнительным модам обращайтесь на выше указанные данные                 #
#==============================================================================================#
error_reporting(0);
include('./start.php');
include("./config.php");
include("./includes/".$ver."/banned");

list($msec, $sec) = explode(chr(32), microtime());
$headtime = $sec + $msec;

$ref = rand(1000, 9999);
$ttl = "Внимание!";
switch($ver)
{
////////////////////////////////////////////////////////
//WML VERSION
////////////////////////////////////////////////////////
case 'wml':
header ("Content-type: text/vnd.wap.wml; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-relative");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT * FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");

if(mysql_affected_rows() == 0)
{
echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";
echo "<card title=\"ERROR\" ontimer=\"/wml\"><timer value=\"15\"/><p align=\"left\">\n";
echo "<small>Ошибка авторизации!<br/>\n";
echo"<br/>$wmlfoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] сек.<br/>\n";
echo "</small></p></card></wml>";
exit();
}
//END AUTH

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE

$sql = mysql_query("SELECT `name` FROM `chat_rooms` WHERE `id` = '".intval($_GET['rid'])."';");
$name = mysql_result($sql, 0);

echo "<?xml version=\"1.0\" encoding=\"UTF-8\"?>\n";
echo "<!DOCTYPE wml PUBLIC \"-//WAPFORUM//DTD WML 1.3//EN\" \"http://www.wapforum.org/DTD/wml13.dtd\"><wml>\n";

if($_GET['rid'] == $unlim || $_GET['rid'] == $wicked_quiz)
{
echo "<card title=\"Внимание!\"><p align=\"left\">\n";
echo "Вы хотите попасть в комнату \"<b>$name</b>\".<br/>\n";
echo "В данной комнате модераторы не имеют права Вас блокировать за мат и оскорбления других участников.<br/>\n";
echo "Но за оскорбления Администрации, Модераторов и флуд - бан.<br/>\n";
echo "• <a href='/room/$nocache/".$_GET['rid']."/wml'>Продолжить</a><br/>\n";
}
else
{
echo "<card title=\"Error\" ontimer=\"room.php?".SID."&amp;nocache=$nocache&amp;rid=".$_GET['rid']."&amp;ver=wml\"><timer value=\"10\" /><p align=\"left\">\n";
echo "Комната не имеет статус беспредела.<br/>\n";
}

echo "• <a href=\"/menu/wml\">В прихожую</a><br/>\n";
echo"<br/>$wmlfoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] сек.<br/>\n";
echo "</p></card></wml>";
break;

////////////////////////////////////////////////////////
//HTML VERSION
////////////////////////////////////////////////////////
case 'html':
header ("Content-type: text/html; charset=utf-8");
header("Last-Modified: ".gmdate("D, d M Y H:i:s")." GMT");
header("Cache-Control: no-cache, must-relative");

//AUTH
$id = intval($_SESSION['id']);
$password = mysql_escape_string($_SESSION['password']);
$q = mysql_query("SELECT * FROM `chat_users` WHERE `id` = '".$id."' AND `password` = '".md5($password)."';");

if(mysql_affected_rows() == 0)
{
echo "$css";
echo'<title>'.$ttl.'</title>';
echo'<div class="d3">Ошибка</div>';
echo "<div class=\"d5\">Ошибка авторизации!</div>\n";
echo'<div class="d3">';
echo"$sitefoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] сек.<br/>\n";
echo'</div>';
echo "</body></html>";
exit();
}
//END AUTH

//ONLINE
$online = time() + 60;
$update = mysql_query("UPDATE `chat_users` SET `time` = '".$online."', `place` = 0, `ip` = '".getenv('REMOTE_ADDR')."', `ua` = '".htmlspecialchars(getenv('HTTP_USER_AGENT'))."' WHERE `id` = '".$id."';");
//END ONLINE

$sql = mysql_query("SELECT `name` FROM `chat_rooms` WHERE `id` = '".intval($_GET['rid'])."';");
$name = mysql_result($sql, 0);

echo "$css";
echo'<title>'.$ttl.'</title>';

echo'<div class="d3">'.$ttl.'</div>';

if($_GET['rid'] == $unlim || $_GET['rid'] == $wicked_quiz)
{
echo "Вы хотите попасть в комнату \"<b>$name</b>\".<br/>\n";
echo "В данной комнате модераторы не имеют права Вас блокировать за мат и оскорбления других участников.<br/>\n";
echo "Но за оскорбления Администрации, Модераторов и флуд - бан.<br/>\n";
echo "<div class=\"d1\">• <a href='/room/$nocache/".$_GET['rid']."/html'>Продолжить</a></div>\n";
}
else
{
echo "Комната не имеет статус беспредела.<br/>\n";
}

echo "<div class=\"d1\">• <a href=\"/menu/html\">В прихожую</a></div>\n";
echo'<div class="d3">';
echo"$sitefoot";
list($msec, $sec) = explode(chr(32), microtime());
echo "[".round(($sec+$msec)-$headtime,5)."] сек.<br/>\n";
echo'</div>';
echo "</body></html>";
break;
}
?>